add_rules("mode.release","mode.debug")
if is_mode("debug")then 
    add_defines("OIPRINT")
end 

target("st_raw")
    set_kind("binary")
    add_files("day5/RMQ/st_raw.cpp")
    set_rundir("./day5/RMQ")

target("st_done")
    set_kind("binary")
    add_files("./day5/RMQ/st_done.cpp")

target("test")
    set_kind("binary")
    add_files("test.cpp")

target("P3865")
    set_kind("binary")
    add_files("./day6/P3865/*.cpp")

target("binExp")
    set_kind("binary")
    add_files("./day6/binaryExponentiation/*.cpp")
    add_tests("binExp",{files="./day6/binaryExponentiation/*.cpp",defines = "ISTEST"})

target("fperfect")
    set_kind("binary")
    add_files("./day5/perfect/fix.cpp")
    add_tests("fperfect",{files="././day5/perfect/fix.cpp",defines="OITEST"})

target("pre88")
    set_kind("binary")
    add_files("./day6/pre88/*.cpp")